# Scanbot Barcode Scanner SDK for Flutter

## Add enterprise-grade barcode scanning to your app in no time
The Scanbot Barcode Scanner SDK Flutter plugin enables you to easily implement the Scanbot 
[Barcode Scanner SDK](https://scanbot.io/products/barcode-software/barcode-sdk/) for iOS and Android.

Access the available cameras on the mobile device, choose the interface, configure the settings for the barcodes, 
and let your users easily scan any barcode in your application.

Enterprise-grade scanning and parsing of a large number of different barcode symbologies with any smartphone or tablet.
Read [1D](https://scanbot.io/products/barcode-software/1d-barcode-scanner/) and
[2D barcodes](https://scanbot.io/products/barcode-software/2d-barcode-scanner/),
like [Code 39](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-39/),
[Code 93](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-93/),
[Code 128](https://scanbot.io/products/barcode-software/1d-barcode-scanner/code-128/),
[Codabar](https://scanbot.io/products/barcode-software/1d-barcode-scanner/codabar/),
[UPC-A](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[UPC-E](https://scanbot.io/products/barcode-software/1d-barcode-scanner/upc/),
[EAN-8](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[EAN-13](https://scanbot.io/products/barcode-software/1d-barcode-scanner/ean/),
[ITF](https://scanbot.io/products/barcode-software/1d-barcode-scanner/itf/),
[QR-Code](https://scanbot.io/products/barcode-software/2d-barcode-scanner/qr-code/),
[Aztec](https://scanbot.io/products/barcode-software/2d-barcode-scanner/aztec/),
[PDF-417](https://scanbot.io/products/barcode-software/2d-barcode-scanner/pdf417/),
[Data Matrix](https://scanbot.io/products/barcode-software/2d-barcode-scanner/data-matrix/), etc.

Check out the [demo](https://scanbot.io/trial/demo-app/).


## Documentation & Example App
To integrate this plugin into your application please follow the steps in our documentation and check out our 
[example app](https://github.com/doo/scanbot-barcode-scanner-sdk-example-flutter).


## Changelog
For a detailed list of the changes included in each version, please see the 
[changelog](https://docs.scanbot.io/barcode-scanner-sdk/flutter/changelog/).


## License and Support
Scanbot SDK is a commercial product and comes with full technical support if you have any questions or need help
integrating: [sdk@scanbot.io](mailto:sdk@scanbot.io). It will run without a license for one minute per session.
Get a [free trial license](https://scanbot.io/trial/) to evaluate and integrate it into your project.
