//
//  Scanbot Barcode Scanner SDK Flutter Plugin
//
//  Copyright (c) 2020 doo GmbH. All rights reserved.
//  https://scanbot.io/sdk
//

import Foundation
import ScanbotBarcodeScannerSDK

extension dooLicenseStatus {
    var stringName: String? {
        switch self {
        case LicenseStatusOkay: return "StatusOkay"
        case LicenseStatusTrial: return "StatusTrial"
        case LicenseStatusFailureNotSet: return "StatusFailureNotSet"
        case LicenseStatusFailureExpired: return "StatusFailureExpired"
        case LicenseStatusFailureWrongOS: return "StatusFailureWrongOS"
        case LicenseStatusFailureCorrupted: return "StatusFailureCorrupted"
        case LicenseStatusFailureAppIDMismatch: return "StatusFailureAppIDMismatch"
        default: return nil
        }
    }
}
