package io.scanbot.sdk.flutter.camera.detectorWrappers

import io.scanbot.barcode.sdk.flutter.Json
import io.scanbot.sdk.barcode_scanner.ScanbotBarcodeScannerSDK

interface IDetectorWrapper {
    val scanbotBarcodeScannerSDK: ScanbotBarcodeScannerSDK
    fun attach(arguments: Json)

    fun detach()

    fun toggleContinuousFocus()

    fun isFlashAvailable(): Boolean

    fun flashEnabled(enabled: Boolean)

}
