//
//  SBSDKAESEncrypterMode.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 13.07.21.
//

import Foundation
import ScanbotBarcodeScannerSDK

extension SBSDKAESEncrypterMode {
    init(from string: String) {
        switch string {
        case "AES128": self = .AES128
        case "AES256": self = .AES256
        default: self = .AES128
        }
    }
}
